CREATE TABLE jarmu (
 jarmu AUTOINC,
 marka INT,
 tipus CHAR(25),
 rendszam CHAR(10),
 cm3 INT,
 szin CHAR(10),
 alvazszam CHAR(100),
 motorszam CHAR(100),
 riaszto CHAR(1),
 kmora INT,
 benzin INT,
 dolgozo INT,
 kmora_alap INT,
 fogyaszt_alap INT,
 dat_muszaki DATE,
 dat_muszaki_lejar DATE,
 dat_zoldkartya DATE,
 dat_zoldkartya_lejar DATE,
 dat_kotelezo DATE,
 dat_kotelezo_lejar DATE,
 dat_indul DATE,
PRIMARY KEY (jarmu));

CREATE TABLE dolgozo (
 dolgozo AUTOINC,
 dolgozo_nev CHAR(50),
 telefon CHAR(25),
 mobil CHAR(25),
PRIMARY KEY (dolgozo));

CREATE TABLE marka (
 marka AUTOINC,
 marka_nev CHAR(25),
PRIMARY KEY (marka));

CREATE TABLE felhasznalo (
 felhasznalo CHAR(20),
 felhasznalo_nev CHAR(20),
 jelszo CHAR(10),
 rendszergazda CHAR(1),
 torzsszerkeszt CHAR(1),
PRIMARY KEY (felhasznalo));

CREATE TABLE muvelet (
 muvelet AUTOINC,
 muvelet_nev CHAR(50),
 kmido INT,
 km INT,
 ido INT,
PRIMARY KEY (muvelet));

CREATE TABLE szerviz (
 szerviz AUTOINC,
 szerviz_nev CHAR(50),
 cim_irsz CHAR(6),
 cim_varos CHAR(25),
 cim_cim CHAR(50),
 telefon CHAR(25),
 mobil CHAR(25),
 fax CHAR(25),
PRIMARY KEY (szerviz));

CREATE TABLE jarmu_muvelet (
 jarmu INT,
 muvelet INT,
 kmido INT,
 km INT,
 ido INT,
PRIMARY KEY (jarmu,muvelet));

CREATE TABLE javit (
 javit AUTOINC,
 jarmu INT,
 szerviz INT,
 kmora INT,
 datum DATE,
 ar FLOAT,
PRIMARY KEY (javit));

CREATE TABLE javit_sor (
 javit INT,
 sor INT,
 muvelet INT,
 cserein INT,
 ar FLOAT,
PRIMARY KEY (javit, sor));

CREATE TABLE benzin (
 benzin AUTOINC,
 benzin_nev CHAR(25),
PRIMARY KEY (benzin));

CREATE TABLE fogyaszt (
 fogyaszt AUTOINC,
 datum DATE,
 kmora_nyito INT,
 kmora_zaro INT,
 benzin INT,
 liter INT,
 ear FLOAT,
 ar FLOAT,
PRIMARY KEY (fogyaszt));

CREATE TABLE beallit (
 beallit AUTOINC,
 vanbelep CHAR(1),
PRIMARY KEY (beallit));

CREATE TABLE egyeb(
 egyeb AUTOINC,
 jarmu INT,
 rovid CHAR(75),
 leiras BLOB(0,1),
 datum DATE,
 ar INT,
PRIMARY KEY (egyeb));
